<?php

namespace Shop\Domain\ProductCategory\Contracts;

use Repo\EntityInterface;

/**
* Description of ProductCategory
*
* @author Diamond Code Generator
*/
interface ProductCategoryEntityInterface extends EntityInterface
{


    public function setCountChildrens(int $count);

    public function getCountChildrens():int;

    public function setCountProducts(int $count);

    public function getCountProducts():int;
}             